%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Cairo
Version:       1.109
Release:       1mamba
Summary:       Cairo - Perl bindings to the cairo graphics library
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org
Source:        https://cpan.metacpan.org/authors/id/X/XA/XAOC/Cairo-%{version}.tar.gz
License:       Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libcairo-devel
BuildRequires: libfreetype-devel
BuildRequires: libperl
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl-ExtUtils-Depends
BuildRequires: perl-Test-Number-Delta
Requires:      perl >= %perl_major_ver

%description
Perl bindings to the cairo graphics library.

%prep
%setup -q -n Cairo-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Tue Nov 30 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.109-1mamba
- update to 1.109

* Wed Nov 09 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.101-3mamba
- rebuilt with perl 5.24

* Mon Nov 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.101-2mamba
- perl 5.16 mass rebuild

* Mon Aug 06 2012 Automatic Build System <autodist@mambasoft.it> 1.101-1mamba
- automatic version update by autodist

* Thu May 05 2011 Automatic Build System <autodist@mambasoft.it> 1.062-1mamba
- automatic update by autodist

* Wed Apr 08 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.061-1mamba
- automatic update by autodist

* Wed Nov 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.060-2mamba
- automatic rebuild by autodist

* Mon Oct 20 2008 gil <puntogil@libero.it> 1.060-1mamba
- update to 1.060

* Thu Nov 22 2007 Aleph0 <aleph0@openmamba.org> 1.044-1mamba
- package created by autospec
